Recent

Author Topic: FPC and OpenWatcom  (Read 2855 times)

Hydexon

  • Full Member
  • ***
  • Posts: 170
FPC and OpenWatcom
« on: April 27, 2023, 05:33:47 am »
Hi.

I've read about the current stable version of FPC (3.2.2) had target support for Watcom Extenders (i.e DOS4GW, maybe Causeway too?), i've tried to search documentation how to build a crosscompiler or set the environment but found nothing about it.

There's any tips and guidance about how to do it?
Lazarus 1.0.4 Stable - FPC 2.6.0 - gtk2 | Linux Mint 14 Nadia | GNOME Shell 3.6.2 - Awesome | Intel x86 | HP Mini 1020-LA Netbook (old)
Lazarus 2.0.2 Stable - FPC 3.0.2 - Windows | Lenovo IdeaPad Y

Handoko

  • Hero Member
  • *****
  • Posts: 5146
  • My goal: build my own game engine using Lazarus
Re: FPC and OpenWatcom
« Reply #1 on: April 27, 2023, 05:36:04 am »
Maybe this link can be useful to you:
https://wiki.lazarus.freepascal.org/Cross_compiling

KodeZwerg

  • Hero Member
  • *****
  • Posts: 2044
  • Fifty shades of code.
    • Delphi & FreePascal
Re: FPC and OpenWatcom
« Reply #2 on: April 27, 2023, 06:34:58 am »
https://wiki.lazarus.freepascal.org/Free_Pascal_supported_targets
Scroll very down and you see my attachment.
Since it is wiki, I really do not know if things have been changed.
« Last Edit: Tomorrow at 31:76:97 xm by KodeZwerg »

Hydexon

  • Full Member
  • ***
  • Posts: 170
Re: FPC and OpenWatcom
« Reply #3 on: April 27, 2023, 07:42:05 am »
https://wiki.lazarus.freepascal.org/Free_Pascal_supported_targets
Scroll very down and you see my attachment.
Since it is wiki, I really do not know if things have been changed.

i just saw it unfortunately, although i was able to configure it under Windows, using the official win32 and win64 of fpc windows installer, and had OpenWatcom v2 installed and on PATH, after doing a copy of wasm to be renamed i386-watcom-wasm, unfortunately i was unable to complete it.

Code: [Select]
F:\fpc\rtl\units\watcom\system.asm(107) : Warning A4130: Incompatible with segment alignment: 16
F:\fpc\rtl\units\watcom\system.asm(235) : Warning A4130: Incompatible with segment alignment: 16
F:\fpc\rtl\units\watcom\system.asm(729) : Warning A4130: Incompatible with segment alignment: 16
F:\fpc\rtl\units\watcom\system.asm(1241) : Warning A4130: Incompatible with segment alignment: 16
F:\fpc\rtl\units\watcom\system.asm(2173) : Warning A4130: Incompatible with segment alignment: 16
F:\fpc\rtl\units\watcom\system.asm(51475) : Warning A4130: Incompatible with segment alignment: 16
F:\fpc\rtl\units\watcom\system.asm(51481) : Warning A4130: Incompatible with segment alignment: 16
F:\fpc\rtl\units\watcom\system.asm(55421) : Error A2056: Symbol already defined: RTTI_$SYSTEM_$$_PVMT
F:\fpc\rtl\units\watcom\system.asm(59845) : Error A2056: Symbol already defined: RTTI_$SYSTEM_$$_PVMT$indirect
F:\fpc\rtl\units\watcom\system.asm: 61072 lines, 1 passes, 63 ms, 7 warnings, 2 errors
There's also several warning about the assembler switches used from the makefile being reported as not valid for WASM (or JWASM for example)
looks like the watcom target is really broken.
« Last Edit: April 27, 2023, 07:55:39 am by Hydexon »
Lazarus 1.0.4 Stable - FPC 2.6.0 - gtk2 | Linux Mint 14 Nadia | GNOME Shell 3.6.2 - Awesome | Intel x86 | HP Mini 1020-LA Netbook (old)
Lazarus 2.0.2 Stable - FPC 3.0.2 - Windows | Lenovo IdeaPad Y

 

TinyPortal © 2005-2018